Description

The DCMTLS module supports Certificate Revocation Lists on API level since release 3.6.1 snapshot 13.

However, the various command line tools that support TLS connections are lacking a command line option that would enable the use
of CRLs from the command line.

This should be added. Affected tools (dcmnet and dcmpstat): storescu, storescp, echoscu, movescu, findscu, dcmprscu, decmprscp,
dcmpssnd, decmpstrcyv.

History

#1 - 2017-03-24 12:49 - Marco Eichelberg
- Target version changed from 3.6.2 to 3.6.3

#2 - 2018-02-05 19:37 - Jan Schlamelcher
- Target version changed from 3.6.3 to 3.6.6

#3 - 2020-05-25 13:28 - Michael Onken
- Target version deleted (3.6.6)

#4 - 2025-08-29 18:23 - Marco Eichelberg
- Status changed from New to Closed

- % Done changed from 0 to 100

This is meanwhile implemented. All TLS enabled tools offer options for handling CRLs:

+crv —--enable-crl-vfy enable leaf CRL verification
+cra —-—-enable-crl-all enable full chain CRL verification

2025-09-06 1/1



http://www.tcpdf.org

